Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/RealVectorToRealVectorEncoder.cs	(revision 4068)
@@ -20,64 +20,58 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
-using HeuristicLab.Optimization;
-using HeuristicLab.Operators;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Encodings.RealVectorEncoding;
+using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Encodings.RealVectorEncoding;
 
-namespace HeuristicLab.Problems.TestFunctions
-{
-    public class RealVectorToRealVectorEncoder : SingleSuccessorOperator, IRealVectorPSOEncoder, IRealVectorOperator
-    {
-      #region Parameters
+namespace HeuristicLab.Problems.TestFunctions {
+  public class RealVectorToRealVectorEncoder : SingleSuccessorOperator, IRealVectorPSOEncoder, IRealVectorOperator {
+    #region Parameters
 
-      public IParameter OriginalRealVectorParameter {
-        get { return (IParameter)Parameters["OriginalRealVector"]; }
-      }
+    public IParameter OriginalRealVectorParameter {
+      get { return (IParameter)Parameters["OriginalRealVector"]; }
+    }
 
-      public IParameter RealVectorParameter {
-        get { return (IParameter)Parameters["RealVector"]; }
-      }
+    public IParameter RealVectorParameter {
+      get { return (IParameter)Parameters["RealVector"]; }
+    }
 
-      public ILookupParameter<IntValue> LengthParameter {
-        get { return (ILookupParameter<IntValue>)Parameters["Length"]; }
-      }
+    public ILookupParameter<IntValue> LengthParameter {
+      get { return (ILookupParameter<IntValue>)Parameters["Length"]; }
+    }
 
-      public IValueLookupParameter<DoubleMatrix> BoundsParameter {
-        get { return (IValueLookupParameter<DoubleMatrix>)Parameters["Bounds"]; }
-      }
+    public IValueLookupParameter<DoubleMatrix> BoundsParameter {
+      get { return (IValueLookupParameter<DoubleMatrix>)Parameters["Bounds"]; }
+    }
 
-      protected ScopeParameter CurrentScopeParameter {
-        get { return (ScopeParameter)Parameters["CurrentScope"]; }
-      }
-      #endregion
+    protected ScopeParameter CurrentScopeParameter {
+      get { return (ScopeParameter)Parameters["CurrentScope"]; }
+    }
+    #endregion
 
-      public IScope CurrentScope {
-        get { return CurrentScopeParameter.ActualValue; }
-      }
+    public IScope CurrentScope {
+      get { return CurrentScopeParameter.ActualValue; }
+    }
 
-      public RealVectorToRealVectorEncoder() : base() {
-        Parameters.Add(new LookupParameter<RealVector>("OriginalRealVector", "The original real vector."));
-        Parameters.Add(new LookupParameter<RealVector>("RealVector", "The resulting reference to the original real vector."));
-        Parameters.Add(new LookupParameter<IntValue>("Length", "Vector length."));
-        Parameters.Add(new ScopeParameter("CurrentScope", "The current scope bounds matrix should be cloned."));
-        Parameters.Add(new ValueLookupParameter<DoubleMatrix>("Bounds", "The lower and upper bounds in each dimension."));
-      }
+    public RealVectorToRealVectorEncoder()
+      : base() {
+      Parameters.Add(new LookupParameter<RealVector>("OriginalRealVector", "The original real vector."));
+      Parameters.Add(new LookupParameter<RealVector>("RealVector", "The resulting reference to the original real vector."));
+      Parameters.Add(new LookupParameter<IntValue>("Length", "Vector length."));
+      Parameters.Add(new ScopeParameter("CurrentScope", "The current scope bounds matrix should be cloned."));
+      Parameters.Add(new ValueLookupParameter<DoubleMatrix>("Bounds", "The lower and upper bounds in each dimension."));
+    }
 
-      public override IOperation Apply() {
-        RealVectorParameter.ActualValue = OriginalRealVectorParameter.ActualValue;
-        IItem value = (IItem) BoundsParameter.ActualValue.Clone();
-        CurrentScope.Variables.Add(new Variable("ParticleBounds", BoundsParameter.Description, value == null ? null : (IItem)value.Clone()));
-        return base.Apply();
-      }
+    public override IOperation Apply() {
+      RealVectorParameter.ActualValue = OriginalRealVectorParameter.ActualValue;
+      IItem value = (IItem)BoundsParameter.ActualValue.Clone();
+      CurrentScope.Variables.Add(new Variable("ParticleBounds", BoundsParameter.Description, value == null ? null : (IItem)value.Clone()));
+      return base.Apply();
+    }
 
-      public override bool CanChangeName {
-        get { return false; }
-      }
+    public override bool CanChangeName {
+      get { return false; }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/SingleObjectiveTestFunctionProblem.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.Collections.ObjectModel;
 using System.Drawing;
 using System.Linq;
@@ -383,5 +382,5 @@
         ((ILookupParameter)op.OriginalRealVectorParameter).ActualName = SolutionCreator.RealVectorParameter.ActualName;
         op.BoundsParameter.Value = (DoubleMatrix)BoundsParameter.Value.Clone();
-        op.BoundsParameter.ActualName = "ParticleBounds"; 
+        op.BoundsParameter.ActualName = "ParticleBounds";
       }
     }
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/AckleyEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/AckleyEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/AckleyEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for AckleyEvaluatorTest and is intended
-    ///to contain all AckleyEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for AckleyEvaluatorTest and is intended
+  ///to contain all AckleyEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class AckleyEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BealeEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BealeEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BealeEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for BealeEvaluatorTest and is intended
-    ///to contain all BealeEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for BealeEvaluatorTest and is intended
+  ///to contain all BealeEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class BealeEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BoothEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BoothEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/BoothEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for BoothEvaluatorTest and is intended
-    ///to contain all BoothEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for BoothEvaluatorTest and is intended
+  ///to contain all BoothEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class BoothEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/GriewankEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/GriewankEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/GriewankEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for GriewankEvaluatorTest and is intended
-    ///to contain all GriewankEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for GriewankEvaluatorTest and is intended
+  ///to contain all GriewankEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class GriewankEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/LevyEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/LevyEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/LevyEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for LevyEvaluatorTest and is intended
-    ///to contain all LevyEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for LevyEvaluatorTest and is intended
+  ///to contain all LevyEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class LevyEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/MatyasEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/MatyasEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/MatyasEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for MatyasEvaluatorTest and is intended
-    ///to contain all MatyasEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for MatyasEvaluatorTest and is intended
+  ///to contain all MatyasEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class MatyasEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/Properties/AssemblyInfo.cs	(revision 4068)
@@ -1,4 +1,3 @@
 ﻿using System.Reflection;
-using System.Runtime.CompilerServices;
 using System.Runtime.InteropServices;
 
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RastriginEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RastriginEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RastriginEvaluatorTest.cs	(revision 4068)
@@ -20,18 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for RastriginEvaluatorTest and is intended
-    ///to contain all RastriginEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for RastriginEvaluatorTest and is intended
+  ///to contain all RastriginEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class RastriginEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RosenbrockEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RosenbrockEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/RosenbrockEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for RosenbrockEvaluatorTest and is intended
-    ///to contain all RosenbrockEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for RosenbrockEvaluatorTest and is intended
+  ///to contain all RosenbrockEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class RosenbrockEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SphereEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SphereEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SphereEvaluatorTest.cs	(revision 4068)
@@ -20,18 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for SphereEvaluatorTest and is intended
-    ///to contain all SphereEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for SphereEvaluatorTest and is intended
+  ///to contain all SphereEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class SphereEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SumSquaresEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SumSquaresEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/SumSquaresEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for SumSquaresEvaluatorTest and is intended
-    ///to contain all SumSquaresEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for SumSquaresEvaluatorTest and is intended
+  ///to contain all SumSquaresEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class SumSquaresEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/ZakharovEvaluatorTest.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/ZakharovEvaluatorTest.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Tests/ZakharovEvaluatorTest.cs	(revision 4068)
@@ -20,17 +20,15 @@
 #endregion
 
+using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
-using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Data;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests
-{
-    
-    
-    /// <summary>
-    ///This is a test class for ZakharovEvaluatorTest and is intended
-    ///to contain all ZakharovEvaluatorTest Unit Tests
-    ///</summary>
+namespace HeuristicLab.Problems.TestFunctions_33.Tests {
+
+
+  /// <summary>
+  ///This is a test class for ZakharovEvaluatorTest and is intended
+  ///to contain all ZakharovEvaluatorTest Unit Tests
+  ///</summary>
   [TestClass()]
   public class ZakharovEvaluatorTest {
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/TravelingSalesmanProblemView.cs	(revision 4068)
@@ -22,5 +22,4 @@
 using System;
 using System.Windows.Forms;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Analyzers/BestTSPSolutionAnalyzer.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System.Linq;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
@@ -86,5 +85,5 @@
         i = qualities.Select((x, index) => new { index, x.Value }).OrderBy(x => x.Value).First().index;
       else i = qualities.Select((x, index) => new { index, x.Value }).OrderByDescending(x => x.Value).First().index;
-      
+
       if (bestKnownQuality == null ||
           max && qualities[i].Value > bestKnownQuality.Value ||
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEuclideanPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPGeoPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Evaluators/TSPRoundedEuclideanPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPMoveEvaluator.cs	(revision 4068)
@@ -20,9 +20,6 @@
 #endregion
 
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-using HeuristicLab.Data;
+using System;
 using HeuristicLab.Optimization;
-using System;
 
 namespace HeuristicLab.Problems.TravelingSalesman {
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.PermutationEncoding;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/Interfaces/ITSPPathMoveEvaluator.cs	(revision 4068)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPMoveEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPMoveEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPMoveEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPPathMoveEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPPathMoveEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TSPPathMoveEvaluator.cs	(revision 4068)
@@ -20,9 +20,7 @@
 #endregion
 
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveEuclideanPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveEuclideanPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveEuclideanPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveGeoPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveGeoPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveGeoPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMovePathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMovePathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMovePathEvaluator.cs	(revision 4068)
@@ -20,10 +20,7 @@
 #endregion
 
-using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveRoundedEuclideanPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveRoundedEuclideanPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/ThreeOpt/TSPTranslocationMoveRoundedEuclideanPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveEuclideanPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveEuclideanPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveEuclideanPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveGeoPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveGeoPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveGeoPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMovePathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMovePathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMovePathEvaluator.cs	(revision 4068)
@@ -20,10 +20,7 @@
 #endregion
 
-using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
Index: /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveRoundedEuclideanPathEvaluator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveRoundedEuclideanPathEvaluator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.Problems.TravelingSalesman/3.3/MoveEvaluators/TwoOpt/TSPInversionMoveRoundedEuclideanPathEvaluator.cs	(revision 4068)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
